import OpenAI from "openai";
import { config } from 'dotenv';
import axios from "../utils/axios";
import { SiliconFlowModelListItem } from "../typings/llm";

config();

const openai = new OpenAI({
  apiKey: process.env.DEEPSEEK_API_KEY,
  baseURL: 'https://api.deepseek.com',
});

export default openai;

export const getSiliconFlowModelList = async (apiKey: string) => {
  const response = await axios.get('https://api.siliconflow.cn/v1/models?type=text&sub_type=chat', {
    headers: {
      'Authorization': `Bearer ${apiKey}`
    }
  }).then(res => res.data);

  if (typeof response === 'string') {
    throw new Error(response);
  }

  return response.data as SiliconFlowModelListItem[];
};
